function addLoadEvent(func) {

	if(typeof window.addEventListener == 'function'){
		window.addEventListener('load', func, false);
		return true;
	} else if(typeof window.attachEvent == 'object'){
		window.attachEvent('onload', func);
		return true;
	}

	var oldonload = window.onload;
	if (typeof window.onload != 'function') {
		window.onload = func;
	} else {
		window.onload = function() {
			oldonload();
			func();
		}
	}
}
function removeNode(node){
	var parent = node.parentNode;
	return parent.removeChild(node);
}
function removeLinkTag(){
	var link = document.getElementsByTagName('link');
	if(!link.length){return false;}
	for(var i = 0, j=0, L = link.length; i < L; i++){
		if(link[j].rel == 'stylesheet' || link[j].rel == 'alternate stylesheet'){
			removeNode(link[j]);
		}else{
			j++;
		}
	}
}
function removeStyleTag(){
	var style = document.getElementsByTagName('style');
	if(!style.length){return false;}
	for(var i = 0, L = style.length; i < L; i++){
		removeNode(style[0]);
	}
}
function removeStyleAttr(){
	var all = document.getElementsByTagName('*');
	if(!all.length){return false;}
	for(var i = 0, L = all.length; i < L; i++){
		if(all[i].style){all[i].removeAttribute('style');}
	}
}
function action(){
	removeStyleTag();
	removeStyleAttr();
	removeLinkTag();
}
addLoadEvent(action);